<!doctype html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <title>Time tracker · Foundation</title>
  <link rel="stylesheet" href="fontawesome/css/all.css" />
  <link rel="stylesheet" href="dist/css/main.css">
</head>

<body>

  <!-- START Template -->
  <script type="text/template">
    <div class="wrapper">

      <!-- START Sidebar -->
      <div class="sidebar-wrapper">

        <ul class="vertical menu">
          <li class="menu-text">
            <h1 class="h4 margin-bottom-0">Time tracker</h1>
          </li>
          <li class="menu-text">
            {% assign activeUser = users | where: "id", options.activeUser | first %}
            <span class="h5 margin-bottom-0">{{ activeUser.name }}</span>
          </li>
          <li> 
            <a href="index.html">
              <i class="fas fa-tachometer-alt"></i>
              Dashboard
            </a>
          </li>
          <li class="is-active">
            <a href="time.html">
              <i class="far fa-clock"></i>
              Time tracking
            </a>
          </li>
          <li>
            <a href="projects.html">
              <i class="fas fa-project-diagram"></i>
              Projects
            </a>
          </li>
          <li>
            <a href="clients.html">
              <i class="fas fa-star"></i>
              Clients
            </a>
          </li>
          <li>
            <a href="teams.html">
              <i class="fas fa-users-cog"></i>
              Teams
            </a>
          </li>
          <li>
            <a href="users.html">
              <i class="fas fa-users"></i>
              Users
            </a>
          </li>
          <li>
            <a href="settings.html">
              <i class="fas fa-cogs"></i>
              Settings
            </a>
          </li>
        </ul>

      </div>
      <!-- END Sidebar-->
  

      <!-- START Main -->
      <div class="main-wrapper">

        <div class="top-bar">
          <div class="top-bar-left">
            <ul class="menu">
              <li>
                <a href="#" class="button secondary" id="js-open-nav">
                  <i class="fas fa-bars"></i>
                  <span>Menu</span>
                </a>
              </li>
            </ul>
          </div>
          <div class="top-bar-right">
            <ul class="menu">
              <li><button type="button" class="button"id="js-logout">Log out</button></li>
            </ul>
          </div>
        </div>
  
        <!-- START Content -->
        <div class="grid-container">

          <div class="flex-container align-middle margin-top-1">
            <h2 class="h2 flex-child-grow">Time tracker</h2>
            <div>
              <a href="../index.html" class="hollow button secondary small">Change framework</a>
              <button class="hollow button secondary small" id="js-load-data">Reset data</button>
            </div>
          </div>
    
          <div class="grid-x">
            <div class="cell">
              <h3>Track time</h3>

              {% if activeUser.running == 0 %}
              <form id="js-timer-start"> 
                <div class="grid-x grid-margin-x">
                  <div class="cell large-auto">
                      <input type="text" placeholder="Description" name="desc" required>    
                  </div>
                  <div class="cell large-auto">
                    {% assign myTeams = "" | split:"" %}
                    {% for team in teams %}
                      {% if team.users contains activeUser.id %}
                        {% assign myTeams = myTeams | concat: team.id %}
                      {% endif %}
                    {% endfor %}
      
                    <select name="projectId" required>
                      {% for project in projects %}
                        {% if project.active == 1 %}
                        {% if myTeams contains project.teamId %}
                        <option value="{{ project.id }}">{{ project.name }}</option>
                        {% endif %}
                        {% endif %}
                      {% endfor %}
                    </select>
            
                  </div>
      
                  <div class="cell shrink">  
                    <p class="h4">
                      <i class="far fa-clock"></i>
                      00:00:00
                    </p>
                  </div>
      
                  <div class="cell shrink">
                    <button type="reset" class="button warning"><i class="fas fa-redo-alt"></i> Reset</button>
                    <button type="submit" class="button success"><i class="fas fa-play"></i> Start</button>
                  </div>
        
                </div>
              </form>
      
              {% else %}
              {% assign timer = timers | where: "id", activeUser.running | first %}
              <form id="js-timer-stop"> 
                <div class="grid-x grid-margin-x">
                  <div class="cell large-auto">
                    <input type="text" placeholder="{{ timer.desc }}" disabled>    
                  </div>
                  <div class="cell large-auto">
                    {% assign timerProject = projects | where: "id", timer.projectId | first %}
                    <input type="text" placeholder="{{ timerProject.name }}" disabled>    
                  </div>
      
                  <div class="cell shrink">  
                    <p class="h4">
                      <i class="far fa-clock"></i>
                      <span id="js-timer-counter" class="timer-counter">
                        {{ timer.startTime | timeDiffNow }}
                      </span>
                    </p>
                  </div>
      
                  <div class="cell shrink">
                    <button type="reset" class="button warning"><i class="fas fa-redo-alt"></i> Clear</button>
                    <button type="submit" class="button alert"><i class="fas fa-stop"></i> Stop</button>
                  </div>
                
                </div>
              </form>
              {% endif %}
            </div>
          </div>

          <div class="grid-x">
            <div class="cell">
              <h3>My tracker</h3>

              <div class="grid-x">
                {% assign filteredEntries = entries | where: "userId", activeUser.id %}
                {% for entry in filteredEntries %}
                  {% assign entryProject = projects | where: "id", entry.projectId | first %}
                  {% if entryProject.active == 1 %}
                  <div class="cell">
                    <div class="callout">
                      <div class="grid-x align-middle">
                        <p class="cell auto h6 margin-bottom-0">
                          <span class="margin-right-1">{{ entry.desc }} - {{ entryProject.name }}</span>
                          <small class="margin-right-1">
                            <i class="far fa-clock"></i>
                            {{ entry.startTime | date: "%H:%M" }} - {{ entry.endTime | date: "%H:%M" }} ({{ entry.startTime | timeDiff: entry.endTime }})
                          </small>
                          <small>
                            <i class="far fa-calendar-alt"></i>
                            {{ entry.startTime | date: "%d.%m.%Y" }}
                          </small>
                        </p>
                        <div class="cell shrink">
                          <button type="button" class="button small alert margin-bottom-0" data-delete-entry="{{ entry.id }}"><i class="fas fa-trash-alt"></i></button>
                        </div>
                      </div>
                    </div>
                  </div>
                  {% endif %}
                {% endfor %}
              </div>

            </div>
          </div>


        </div>
        <!-- END Content -->


      </div>
      <!-- END Main -->
  
    </div>
    <!-- END Wrapper -->

  </script>
  <!-- END Template -->

  <div id="render">
  </div>

  <script src="dist/js/app.js"></script>
</body>

</html>